QGIS Application - Bug report #212

Placing items on map composer doesn't work sometimes

2006-07-30 05:43 PM - Gavin Macaulay -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -
Category:

Affected QGIS version:
Operating System: Linux
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 10271

Description

If, when placing a scalebar, legend, or label on the map composer, one presses the mouse button, moves the mouse, then releases the
mouse button, the item doesn't always end up where you clicked or released. Sometimes it is placed a considerable distance away, and

often far enough away to be off the map.

This is occuring because the placement action is taken as a mouse button down only. Moving the mouse after the mouse button down is

treated as a 'move of selected item', which for some reason can give large move distances for 1 or 2 actual pixel moves, and may be

related to the inverse coordinate transformation that takes place.

History

#1 - 2006-07-30 06:11 PM - Gavin Macaulay -
- Resolution set to fixed
- Status changed from Open to Closed

Fixed in SVN commit:cc3255c3 (SVN r5652). Was easier than it appeared.

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
